package com.realnet.basic.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic.Entity.Frequency;
import com.realnet.basic.Services.FrequencyService ;


@RequestMapping(value = "/Frequency")
 @CrossOrigin("*") 
@RestController
public class FrequencyController {
	@Autowired
	private FrequencyService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Frequency")
		  public Frequency Savedata(@RequestBody Frequency data) {
		Frequency save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Frequency/{id}")
	public  Frequency update(@RequestBody Frequency data,@PathVariable Integer id ) {
		Frequency update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Frequency/getall/page")
	public Page<Frequency> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Frequency> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Frequency")
	public List<Frequency> getdetails() {
		 List<Frequency> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Frequency")
	public List<Frequency> getallwioutsec() {
		 List<Frequency> get = Service.getdetails();		
		return get;
}
@GetMapping("/Frequency/{id}")
	public  Frequency  getdetailsbyId(@PathVariable Integer id ) {
		Frequency  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Frequency/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}